class Playlist:
    def __init__(self, name):
        self.name = name
        self.songs = []
        self.n_songs = 0
    
    def add(self, song):
        if song not in self.songs:  # Check if song is already in list
            self.songs.append(song)
            self.n_songs += 1
            print("Added", song, "to", self.name)
        else:
            print(song, "is already in", self.name)
    
    def remove(self, song):
        if song in self.songs:  # Check if song exists before removing
            self.songs.remove(song)
            self.n_songs -= 1
            print("Removed", song, "from", self.name)
        else:
            print(song, "is not in", self.name)
    
    def show(self):
        if self.songs:  # Check if list is empty
            print(self.name, "(", self.n_songs, "songs )")
            print("#\tTitle")
            for i in range(self.n_songs):
                print(str(i+1)+"\t"+self.songs[i])
        else:
            print("Playlist is empty!")

    def save(self):
        file_name = self.name + ".txt"
        my_file = open(file_name, "wt")
        for song in self.songs:
            my_file.write(song+"\n")
        my_file.close()
        print("Saved to", file_name)

    def load(self):
        file_name = self.name + ".txt"
        my_file = open(file_name, "r")
        for line in my_file:
            song = line.rstrip()
            self.add(song)
        
